Class | Tk::Iwidgets::Toolbar
In: | tk/lib/tkextlib/iwidgets/toolbar.rb
Parent: | Tk::Itk::Widget

### Methods

add delete index insert tagid

### Included Modules

TkItemConfigMethod

### Constants

TkCommandNames | = | ['::iwidgets::toolbar'.freeze].freeze
WidgetClassName | = | 'Toolbar'.freeze

### Public Instance methods

add(type, tag=nil, keys={})

[Source]

    # File tk/lib/tkextlib/iwidgets/toolbar.rb, line 71
      def add(type, tag=nil, keys={})
        if tag.kind_of?(Hash)
          keys = tag
          tag = nil
        end
        if tag
          tag = Tk::Itk::Component.new(self, tagid(tag))
        else
          tag = Tk::Itk::Component.new(self)
        end
        window(tk_call(@path, 'add', type, tagid(tag), *hash_kv(keys)))
        tag
      end

delete(idx1, idx2=nil)

[Source]

    # File tk/lib/tkextlib/iwidgets/toolbar.rb, line 85
      def delete(idx1, idx2=nil)
        if idx2
          tk_call(@path, 'delete', index(idx1), index(idx2))
        else
          tk_call(@path, 'delete', index(idx1))
        end
        self
      end

index(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/toolbar.rb, line 94
      def index(idx)
        number(tk_call(@path, 'index', tagid(idx)))
      end

insert(idx, type, tag=nil, keys={})

[Source]

    # File tk/lib/tkextlib/iwidgets/toolbar.rb, line 98
      def insert(idx, type, tag=nil, keys={})
        if tag.kind_of?(Hash)
          keys = tag
          tag = nil
        end
        if tag
          tag = Tk::Itk::Component.new(self, tagid(tag))
        else
          tag = Tk::Itk::Component.new(self)
        end
        window(tk_call(@path, 'insert', index(idx), type,
                       tagid(tag), *hash_kv(keys)))
        tag
      end

tagid(tagOrId)

[Source]

    # File tk/lib/tkextlib/iwidgets/toolbar.rb, line 45
      def tagid(tagOrId)
        if tagOrId.kind_of?(Tk::Itk::Component)
          tagOrId.name
        else
          #_get_eval_string(tagOrId)
          tagOrId
        end
      end

[Validate]